<script>
import {route} from "@/Types/Functions";
import {ref} from "vue";

const sidebarNavigation = ref([
    {
        name: 'Маркет',
        icon: `<svg width="33" height="34" viewbox="0 0 33 34" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M25.9064 8.97504L25.9557 9.26675H26.2515H32.65V30.3667C32.65 31.9884 31.3217 33.3167 29.7 33.3167H3.3C1.6783 33.3167 0.35 31.9884 0.35 30.3667V9.26675H6.74932H7.04522L7.09445 8.97498C7.85534 4.46531 11.779 1.01675 16.5 1.01675C21.221 1.01675 25.1447 4.46531 25.9064 8.97504ZM22.883 9.26675H23.3352L23.2219 8.82902C22.4472 5.83729 19.7326 3.61675 16.5 3.61675C13.2674 3.61675 10.5528 5.83729 9.77815 8.82902L9.66481 9.26675H10.117H22.883ZM6.95 12.2167V11.8667H6.6H3.3H2.95V12.2167V30.3667V30.7167H3.3H29.7H30.05V30.3667V12.2167V11.8667H29.7H26.4H26.05V12.2167V15.1667H23.45V12.2167V11.8667H23.1H9.9H9.55V12.2167V15.1667H6.95V12.2167Z" fill="white" stroke-width="0.7"></path>
        </svg>`,
        route:route('dashboard.market'),
    },
    {
        name: 'История',
        icon: `<svg width="32" height="36" viewbox="0 0 32 36" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M1.9375 36H30.0625C31.0401 36 31.75 35.2901 31.75 34.3125V2.8125C31.75 1.83487 31.0401 1.125 30.0625 1.125H25.5625C25.252 1.125 25 1.377 25 1.6875C25 1.998 25.252 2.25 25.5625 2.25H30.0625C30.4146 2.25 30.625 2.46037 30.625 2.8125V34.3125C30.625 34.6646 30.4146 34.875 30.0625 34.875H1.9375C1.58537 34.875 1.375 34.6646 1.375 34.3125V2.8125C1.375 2.46037 1.58537 2.25 1.9375 2.25H6.4375C6.748 2.25 7 1.998 7 1.6875C7 1.377 6.748 1.125 6.4375 1.125H1.9375C0.959875 1.125 0.25 1.83487 0.25 2.8125V34.3125C0.25 35.2901 0.959875 36 1.9375 36Z" fill="white"></path>
            <path d="M6.4375 5.625C6.748 5.625 7 5.373 7 5.0625C7 4.752 6.748 4.5 6.4375 4.5H4.1875C3.877 4.5 3.625 4.752 3.625 5.0625V32.0625C3.625 32.373 3.877 32.625 4.1875 32.625H27.8125C28.123 32.625 28.375 32.373 28.375 32.0625V5.0625C28.375 4.752 28.123 4.5 27.8125 4.5H25.5625C25.252 4.5 25 4.752 25 5.0625C25 5.373 25.252 5.625 25.5625 5.625H27.25V31.5H4.75V5.625H6.4375Z" fill="white"></path>
            <path d="M10.375 7.875H21.625C22.9919 7.875 23.875 6.99188 23.875 5.625V0.5625C23.875 0.252 23.623 0 23.3125 0H8.6875C8.377 0 8.125 0.252 8.125 0.5625V5.625C8.125 6.99188 9.00812 7.875 10.375 7.875ZM9.25 1.125H22.75V5.625C22.75 6.372 22.3709 6.75 21.625 6.75H10.375C9.62912 6.75 9.25 6.372 9.25 5.625V1.125Z" fill="white"></path>
            <path d="M9.8125 18H22.1875C22.498 18 22.75 17.748 22.75 17.4375C22.75 17.127 22.498 16.875 22.1875 16.875H9.8125C9.502 16.875 9.25 17.127 9.25 17.4375C9.25 17.748 9.502 18 9.8125 18Z" fill="white"></path>
            <path d="M9.8125 13.5H22.1875C22.498 13.5 22.75 13.248 22.75 12.9375C22.75 12.627 22.498 12.375 22.1875 12.375H9.8125C9.502 12.375 9.25 12.627 9.25 12.9375C9.25 13.248 9.502 13.5 9.8125 13.5Z" fill="white"></path>
            <path d="M9.8125 22.5H22.1875C22.498 22.5 22.75 22.248 22.75 21.9375C22.75 21.627 22.498 21.375 22.1875 21.375H9.8125C9.502 21.375 9.25 21.627 9.25 21.9375C9.25 22.248 9.502 22.5 9.8125 22.5Z" fill="white"></path>
            <path d="M9.8125 27H22.1875C22.498 27 22.75 26.748 22.75 26.4375C22.75 26.127 22.498 25.875 22.1875 25.875H9.8125C9.502 25.875 9.25 26.127 9.25 26.4375C9.25 26.748 9.502 27 9.8125 27Z" fill="white"></path>
        </svg>`,
        route:route('dashboard.history'),
    },
    {
        name: 'Мои лоты',
        icon: ` <svg width="35" height="26" viewbox="0 0 35 26" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M23.4906 17.8864C20.8312 17.8864 18.6658 15.6941 18.6658 12.9985C18.6658 10.3089 20.8312 8.11513 23.4906 8.11513H32.6655V17.8864H23.4906ZM23.3333 11.8175C22.6909 11.8175 22.1675 12.3477 22.1675 12.9985C22.1675 13.6523 22.6909 14.1795 23.3333 14.1795C23.9758 14.1795 24.4991 13.6523 24.4991 12.9985C24.4991 12.3477 23.9758 11.8175 23.3333 11.8175ZM29.7003 0H5.18502C4.53965 0 4.01924 0.530187 4.01924 1.18101C4.01924 1.83182 4.53965 2.36201 5.18502 2.36201H29.7003C31.3351 2.36201 32.6655 3.70982 32.6655 5.37038V5.75163H23.4906C19.5449 5.75163 16.3327 9.00126 16.3327 12.9985C16.3327 16.9972 19.5449 20.2499 23.4906 20.2499H32.6655V20.6311C32.6655 22.2887 31.3351 23.6365 29.7003 23.6365H5.29822C3.66347 23.6365 2.33304 22.2887 2.33304 20.6311V5.25272C2.33304 4.59892 1.81116 4.07023 1.16725 4.07023C0.521883 4.07023 0 4.59892 0 5.25272V20.6311C0 23.5933 2.37714 26 5.29822 26H29.7003C32.6214 26 35 23.5933 35 20.6311V5.37038C35 2.40669 32.6214 0 29.7003 0Z" fill="white"></path>
        </svg>`,
        route:route('dashboard.lots.index'),
    },
    {
        name: 'Чаты',
        icon: `<svg width="35" height="35" viewbox="0 0 35 35" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M29.8635 5.12791C26.5559 1.8203 22.1679 0 17.4914 0C12.8149 0 8.42691 1.8203 5.1193 5.12791C-1.27393 11.5211 -1.71791 21.7548 4.01676 28.6586C3.4544 29.7907 2.55165 31.1078 1.21232 31.7664C0.568561 32.0846 0.205982 32.7727 0.316976 33.4831C0.427969 34.1934 0.975538 34.7484 1.6859 34.8594C2.01888 34.9112 2.49245 34.963 3.06962 34.963C4.61613 34.963 6.8952 34.6004 9.22607 32.9207C11.8233 34.3192 14.6648 35 17.484 35C22.0125 35 26.4967 33.2463 29.8709 29.8721C33.1785 26.5645 34.9988 22.1765 34.9988 17.5C34.9988 12.8235 33.1711 8.43552 29.8635 5.12791ZM28.4502 28.4588C23.4555 33.4535 15.7229 34.445 9.64044 30.871C9.24087 30.6342 8.74509 30.7082 8.42691 31.0264C8.39731 31.0412 8.36772 31.0634 8.34552 31.0856C6.34023 32.6395 4.37194 32.9651 3.06962 32.9651H3.06222C4.56433 31.87 5.51148 30.2421 6.06645 28.9767C6.15524 28.7622 6.17004 28.5402 6.11824 28.333C6.09605 28.1332 6.01465 27.9334 5.87406 27.7706C0.457568 21.6512 0.738752 12.3277 6.52522 6.54123C12.5707 0.495772 22.4047 0.495772 28.4428 6.54123C34.4956 12.5867 34.4956 22.4133 28.4502 28.4588Z" fill="white"></path>
            <path d="M17.4912 18.7284C18.1696 18.7284 18.7195 18.1784 18.7195 17.5001C18.7195 16.8217 18.1696 16.2717 17.4912 16.2717C16.8128 16.2717 16.2629 16.8217 16.2629 17.5001C16.2629 18.1784 16.8128 18.7284 17.4912 18.7284Z" fill="white"></path>
            <path d="M23.8253 18.7284C24.5036 18.7284 25.0536 18.1784 25.0536 17.5001C25.0536 16.8217 24.5036 16.2717 23.8253 16.2717C23.1469 16.2717 22.5969 16.8217 22.5969 17.5001C22.5969 18.1784 23.1469 18.7284 23.8253 18.7284Z" fill="white"></path>
            <path d="M11.1572 18.7284C11.8356 18.7284 12.3855 18.1784 12.3855 17.5001C12.3855 16.8217 11.8356 16.2717 11.1572 16.2717C10.4788 16.2717 9.92883 16.8217 9.92883 17.5001C9.92883 18.1784 10.4788 18.7284 11.1572 18.7284Z" fill="white"></path>
        </svg>`,
        route:route('dashboard.chat'),
    },
    {
        name: 'Избранное',
        icon: `<svg width="34" height="32" viewbox="0 0 34 32" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M0.375977 10.7434C0.375977 17.8751 6.35255 24.8896 15.7778 30.9164C16.146 31.1341 16.6483 31.3684 16.9999 31.3684C17.3515 31.3684 17.8537 31.1341 18.2053 30.9164C27.6472 24.8896 33.6238 17.8751 33.6238 10.7434C33.6238 4.81712 29.5557 0.631836 24.1315 0.631836C21.0178 0.631836 18.5066 2.10505 16.9999 4.36505C15.4932 2.12176 12.9653 0.631836 9.86819 0.631836C4.44412 0.631836 0.375977 4.81712 0.375977 10.7434ZM3.07133 10.7434C3.07133 6.29034 5.95076 3.32712 9.83469 3.32712C12.982 3.32712 14.7733 5.28584 15.8615 6.95998C16.3135 7.62962 16.5981 7.81377 16.9999 7.81377C17.4017 7.81377 17.6528 7.61284 18.1383 6.95998C19.2767 5.31934 21.0345 3.32712 24.165 3.32712C28.049 3.32712 30.9285 6.29034 30.9285 10.7434C30.9285 16.9711 24.3492 23.6843 17.3347 28.3383C17.1673 28.4555 17.0668 28.5392 16.9999 28.5392C16.9329 28.5392 16.8158 28.4555 16.6483 28.3383C9.65055 23.6843 3.07133 16.9711 3.07133 10.7434Z" fill="white"></path>
        </svg>`,
        route:route('dashboard.favourites'),
    },
    {
        name: 'Уведомления',
        icon: `<svg class="stroke" width="28" height="33" viewbox="0 0 28 33" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M11.6608 1.34253L11.6608 1.34253L11.6619 1.34165C12.9463 0.220151 15.068 0.218713 16.3622 1.34176C16.9413 1.84958 17.2462 2.48247 17.2931 3.11834C16.2564 2.82275 15.1518 2.66281 14.008 2.66281C12.8635 2.66281 11.7646 2.82293 10.7309 3.11419C10.7778 2.4797 11.0828 1.84452 11.6608 1.34253Z" stroke="white"></path>
            <path d="M21.8996 16.5582C21.8996 20.6558 23.2639 24.6137 25.825 27.9796H2.16723C4.70972 24.6148 6.10047 20.6332 6.10047 16.5582V12.0027C6.10047 8.35486 9.5447 5.24121 14 5.24121C18.4464 5.24121 21.8996 8.37489 21.8996 12.0027V16.5582Z" stroke="white" stroke-width="1.5"></path>
            <path d="M25.669 12.0513C25.2446 12.0513 24.9162 11.7661 24.9162 11.3975C24.9162 8.80327 23.4986 6.369 20.9999 4.72065C20.6715 4.48418 20.6074 4.09469 20.8477 3.77476C21.12 3.48961 21.6005 3.43396 21.9289 3.64262C24.7961 5.55526 26.4539 8.37901 26.4539 11.3627C26.4219 11.7661 26.0855 12.0513 25.669 12.0513Z" fill="white"></path>
            <path d="M2.3312 12.0513C1.90673 12.0513 1.57837 11.7661 1.57837 11.3975C1.57837 8.38595 3.2362 5.58306 6.10337 3.67737C6.43173 3.4409 6.92027 3.51741 7.19257 3.80952C7.46488 4.10163 7.37678 4.51894 7.04041 4.75541C4.54164 6.40376 3.12408 8.83803 3.12408 11.4323C3.11607 11.7661 2.75567 12.0513 2.3312 12.0513Z" fill="white"></path>
            <path d="M14.0001 32.5C12.3236 32.5 10.9003 31.7008 10.1637 30.5649H17.8365C17.0999 31.7008 15.6766 32.5 14.0001 32.5Z" stroke="white"></path>
        </svg>`,
        route:route('dashboard.notifications.index'),
    },
]);
</script>

<template>
    <div class="marketBottom__left bigMr noMobile">
        <Link v-for="(key,nav) in sidebarNavigation"
              :key="key"
              :class="{active:$page.url === '/dashboard/market'}"
              class="marketBottom__box "
              :href="route('market')">
            <p class="marketBottom__box-text">{{ nav.name }}</p>
        </Link>
    </div>
</template>

